[SOLVED] How to get old android sdk working

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help
Post Reply
kuifje09
Level 1
Level 1
Posts: 42
Joined: Sat Jan 16, 2016 5:45 pm

[SOLVED] How to get old android sdk working

Post by kuifje09 »

How to get old android sdk working again.

Its about the version AI-135.1339820 some beta version a few years old.

When I start it , it does complain about sun.misc. modules

The newer version(s) will not talk to my tablet, below version 20 .., or even newer version does not handle my xml, has to be fxml ?
I go realy crazy about this. and already have plans to to back from LM 19.2 to 17.3, where the old android sdk works fine.

I think when I have those java libs from sun, as sun,misc,... it wil work. I don't think thea are in the distribution of LM.

I realy have not found a real answer on the web so far, and tried 4 newwer and older sdk's from android from 2.3.2. til 3.6 ( which realy sucks... )
None is doeing the job for me. while the old was near perfect.

b.t.w. Android/google is not very helpfull with this problem, they don't say anything about this error with sun.misc.(RESOURCE)

This is the message at startup :
Internal error. Please report to http://code.google.com/p/android/issues

java.lang.NoClassDefFoundError: sun/misc/Resource
at com.intellij.util.lang.ClassPath.getLoader(ClassPath.java:229)
at com.intellij.util.lang.ClassPath.getLoader(ClassPath.java:191)
at com.intellij.util.lang.ClassPath.getResource(ClassPath.java:152)
at com.intellij.util.lang.UrlClassLoader.findClass(UrlClassLoader.java:146)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:588)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
at java.base/java.lang.Class.forName0(Native Method)
at java.base/java.lang.Class.forName(Class.java:398)
at com.intellij.ide.Bootstrap.main(Bootstrap.java:35)
at com.intellij.idea.Main.main(Main.java:84)
Caused by: java.lang.ClassNotFoundException: sun.misc.Resource
at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:581)
at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
... 10 more

2020-04-03 21:23:17 [Patch] Original patch does not exist: /tmp/jetbrains.patch.jar.androidstudio
Last edited by kuifje09 on Sun Apr 05, 2020 7:06 am, edited 2 times in total.

User avatar
Kadaitcha Man
Level 8
Level 8
Posts: 2143
Joined: Mon Aug 27, 2012 10:17 pm

Re: How to get old android sdk working

Post by Kadaitcha Man »

kuifje09 wrote:
Fri Apr 03, 2020 3:21 pm
I ... have plans to to back from LM 19.2 to 17.3
Good luck with that. Mint 17 is soon approaching 1 year past end of life. You won't be able to install a single thing because the repos will have been dismantled.

As for your current problem, good luck with that, too. We are volunteers here and we reply to posts that we feel we have at least some expertise in. I think you will be hard pushed to find anyone with experience in doing something along the lines of what you're asking. It's not impossible that someone may be able to help you, but don't hold your breath. It may be necessary for you to take the plunge and bring your skills up to date instead of complaining that it "realy sucks...".
It's pronounced kad-eye-cha, not kada-itcha.

kuifje09
Level 1
Level 1
Posts: 42
Joined: Sat Jan 16, 2016 5:45 pm

Re: How to get old android sdk working

Post by kuifje09 »

Its not about skill, its about dropping good working hardware again.
So beeing able to get my hans on some sun.misc, ,,,, it would keep me happy.
Google and hardware stores obviously not... ;)

kuifje09
Level 1
Level 1
Posts: 42
Joined: Sat Jan 16, 2016 5:45 pm

Re: How to get old android sdk working

Post by kuifje09 »

For those who want to know....

It just seems simple. Biggest problem is a lower version of java sdk.
I think I overlooked the version 8 in the distribution, been too busy searching around ??

Installed openjdk version 8 and thats exact the version I needed. It working again, for my old hardware.
So less waste again....

:) The environment we be glad with it. :)

Post Reply

Return to “Other topics”